Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class ATMegaFamily.MaskRegister

    java.lang.Object
      avrora.sim.RWRegister
          avrora.sim.mcu.ATMegaFamily.MaskRegister

All Implemented Interfaces:
  ActiveRegister

Direct Known Subclasses:
  USART.ControlRegisterB

Enclosing class:
  ATMegaFamily

public static class ATMegaFamily.MaskRegister
extends RWRegister

Field Summary
`protected BaseInterpreter` | `interpreter`
`protected int[]` | `mapping` The `mapping` array maps a bit number (0-7) to an interrupt number (0-35).

Fields inherited from class avrora.sim.RWRegister
`value`

Constructor Summary
`ATMegaFamily.MaskRegister(BaseInterpreter interp, int[] map)`

Method Summary
`void` | `write(byte val)` The `write()` method writes an 8-bit value to the IO register as a byte.
`void` | `writeBit(int bit, boolean val)` The `writeBit()` method writes a single bit value into the IO register at the specified bit offset.

Methods inherited from class avrora.sim.RWRegister
`read, readBit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapping

    protected final int[] mapping

  The `mapping` array maps a bit number (0-7) to an interrupt number (0-35). This is used for calculating the posted interrupts.

### interpreter

    protected final BaseInterpreter interpreter

Constructor Detail

### ATMegaFamily.MaskRegister

    public ATMegaFamily.MaskRegister(BaseInterpreter interp,
                                     int[] map)

Method Detail

### write

    public void write(byte val)

  Description copied from class: `RWRegister`
  The `write()` method writes an 8-bit value to the IO register as a byte. For simple `RWRegister` instances, this simply writes the internally stored value.

  Specified by:
    `write` in interface `ActiveRegister`
  Overrides:
    `write` in class `RWRegister`
  Parameters:
    `val` - the value to write

### writeBit

    public void writeBit(int bit,
                         boolean val)

  Description copied from class: `RWRegister`
  The `writeBit()` method writes a single bit value into the IO register at the specified bit offset. For simple `RWRegister` instances, this simply updates the bit in the internally stored value

  Specified by:
    `writeBit` in interface `ActiveRegister`
  Overrides:
    `writeBit` in class `RWRegister`
  Parameters:
    `bit` - the number of the bit to write
    `val` - the value of the bit to write

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD